Ask an Assistant a question; get its published answer with the Sources it cited (conversationId continues a thread)
POST
/api/v1/assistants/{id}/askRequires an Organization API key with the member capability.
Authorization
apiKey AuthorizationBearer <token>
In: header
Path Parameters
id*string
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/assistants/string/ask" \ -H "Content-Type: application/json" \ -d '{ "question": "string" }'{ "conversationId": null, "messageId": null, "flowName": null, "answer": "string", "sources": [ { "documentId": null, "documentTitle": "string", "sourceId": null, "sourceName": null, "collectionName": "string", "url": null } ], "error": null}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}